Subject: bug#48125: 28.0.50; Display garbled by emoji variation sequence

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 May 2021 22:29:23 +0300

> Date: Tue, 04 May 2021 22:17:18 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Filipp Gunbin <[email-masked]>
> > Cc: [email-masked]
> > Date: Tue, 04 May 2021 22:06:36 +0300
> > 
> > One more question.  In the attached screenshot there're two lines, one
> > with soccer balls (width 2), and another with letter "a" (width 1).
> > Both do not fit on screen, and are continued to the next (screen) line.
> > When at EOL of either, C-x = reports column=142, but the first is longer
> > (by 1 column).  That is because it's continued with two backslashes, not
> > one.  Is this the right behavior?
> 
> I don't see the continuation backslashes in the screenshot, but from
> your description the behavior sounds right.  There could even be more
> than 2 backslashes in some rare cases.

Oh, and of course the backslashes aren't counted as part of the column
number, only the displayed text is counted.